A lot if thanks! It helps.
Alexander

> lepekhine wrote:
> > I use fop 0.20.4 with jdk 1.4.1 in RH Linux 7.3
> > I have got the error
> > org.apache.xml.dtm.DTMException No more DTM Ids are available
> > while processing a document with docbook-xsl-1.55.0
> > This error didn't appear earlier in Windows with jdk 1.3.1.
> > Another document  wich looks very like that compiles succefully.
> > I wonder, could anybody tell me what may be the reason of the error
> > and how can I get rid of it?
>
> A matter of fact is that jdk1.4.? contains buggy xalan version and that's
> default xslt processor in use within a jaxp environment. You have to
> override it either by latest xalan version or by xalan from FOP's
> distribution using java endorsed mechanism. Take a look at
> http://xml.apache.org/security/install.html.

Reply via email to